org.apache.ignite.internal.processors.hadoop.counter

## Interface HadoopCounter

    public interface HadoopCounter

Hadoop counter.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `group()` Gets counter group.
`void` `merge(HadoopCounter cntr)` Merge the given counter to this counter.
`String` `name()` Gets name.

### Method Detail

#### name

    String name()

Gets name.

Returns:
  Name of the counter.

#### group

    String group()

Gets counter group.

Returns:
  Counter group's name.

#### merge

    void merge(HadoopCounter cntr)

Merge the given counter to this counter.

Parameters:
  `cntr` - Counter to merge into this counter.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018